<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:toola="http://schemas.android.com/tools"
    android:background="@color/white"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/pay_success_complete_view"
        android:visibility="visible"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white_bg"
        android:overScrollMode="never">

        <com.google.android.material.card.MaterialCardView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/link_btn"

            app:cardElevation="3dp"
            app:cardCornerRadius="15dp"

            android:layout_margin="15dp"

            >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/anim_iv"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/_200sdp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="@dimen/_15sdp"
                    android:layout_marginBottom="15dp"
                    android:contentDescription="@string/thank_you" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/nunito_bold"
                    android:text="@string/your_payment_was_successfully_processed"
                    android:layout_marginHorizontal="25dp"
                    android:layout_marginTop="25dp"
                    android:textAlignment="center"
                    android:textSize="@dimen/_18ssp"
                    android:textColor="@color/black" />

                <TextView
                    android:id="@+id/sub_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="25dp"
                    android:layout_marginHorizontal="25dp"
                    android:fontFamily="@font/nunito_regular"
                    android:text="@string/you_can_now_link_to_your_loved_one_s_smartphone_and_receive_notifications"
                    android:textAlignment="center"
                    android:textSize="@dimen/_16ssp"
                    android:textColor="@color/black" />

            </LinearLayout>

        </com.google.android.material.card.MaterialCardView>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/link_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:layout_alignParentBottom="true"
            android:text="@string/link_to_senior_phone"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/white_bg"
            android:paddingVertical="15dp"
            app:backgroundTint="@color/color_primary"
            app:cornerRadius="25dp"
            />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/loading_view"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/loading_anim"
            android:layout_width="match_parent"
            android:layout_height="@dimen/_300sdp"
            android:layout_gravity="center_horizontal"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="@dimen/_15sdp"
            android:layout_marginBottom="15dp"
            android:contentDescription="@string/thank_you" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/nunito_bold"
            android:text="@string/syncing_patient_information"
            android:layout_marginHorizontal="50dp"
            android:textAlignment="center"
            android:textSize="@dimen/_24ssp"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="25dp"
            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_regular"
            android:text="@string/we_are_currently_syncing_patient_data_this_may_take_a_few_seconds"
            android:textAlignment="center"
            android:textSize="@dimen/_16ssp"
            android:textColor="@color/black" />

    </LinearLayout>

    <ScrollView
        android:id="@+id/profile_progress_view"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent"

        android:background="@color/white_bg"
        android:overScrollMode="never"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingEnd="15dp"
            android:paddingStart="0dp"
            android:orientation="vertical">

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                toola:text="Aditya Gaikwad"
                android:fontFamily="@font/nunito_medium"
                android:textColor="@color/black"
                android:textSize="@dimen/_20ssp"

                android:layout_marginHorizontal="25dp"
                android:layout_marginTop="25dp"
                android:layout_marginBottom="15dp"

                android:maxLines="1"
                android:ellipsize="end"

                />

            <LinearLayout
                android:id="@+id/profile_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_15sdp"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:gravity="center_horizontal"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="15dp"

                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_user_filled"
                        app:tint="@color/color_primary"

                        android:padding="18dp"
                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="@dimen/_20sdp"
                        android:background="@color/color_accent"

                        android:layout_marginVertical="@dimen/_5sdp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/personal_information"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_1"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_1"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/add_contact"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="15dp"

                    android:gravity="center_horizontal"

                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_contacts"
                        app:tint="@color/color_primary"

                        android:padding="18dp"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="@dimen/_20sdp"
                        android:background="@color/color_accent"

                        android:layout_marginVertical="@dimen/_5sdp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/family_and_friends_contacts"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_2"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_2"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/medic_reminder"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:gravity="center_horizontal"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="10dp"

                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/med_reminder_img"
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_timer"
                        app:tint="@color/color_primary"

                        android:padding="15dp"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="@dimen/_20sdp"
                        android:background="@color/color_accent"

                        android:layout_marginVertical="@dimen/_5sdp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/medication_reminder"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_3"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_3"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/medic_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:gravity="center_horizontal"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="10dp"

                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/med_info_img"
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_medic"
                        app:tint="@color/color_primary"

                        android:padding="18dp"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="@dimen/_20sdp"
                        android:background="@color/color_accent"

                        android:layout_marginVertical="@dimen/_5sdp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/medical_information"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_4"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_4"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/set_up_routine"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:gravity="center_horizontal"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="10dp"

                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/setup_routine_img"
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_calender"
                        app:tint="@color/color_primary"

                        android:padding="16dp"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="@dimen/_20sdp"
                        android:background="@color/color_accent"

                        android:layout_marginVertical="@dimen/_5sdp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/setup_routine"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_5"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_5"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/fua"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:gravity="center_horizontal"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="10dp"

                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/freq_apps"
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_apps"
                        app:tint="@color/color_primary"

                        android:padding="18dp"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="@dimen/_20sdp"
                        android:background="@color/color_accent"

                        android:layout_marginVertical="@dimen/_5sdp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/frequently_used_apps"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_6"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_6"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/geo_fencing"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:gravity="center_horizontal"

                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="10dp"

                    android:orientation="vertical">

                    <ImageView
                        android:id="@+id/geo_fencing_img"
                        android:layout_width="@dimen/_50sdp"
                        android:layout_height="@dimen/_50sdp"

                        android:gravity="center"

                        android:background="@drawable/ic_progress_bg"

                        app:srcCompat="@drawable/ic_geofence"
                        app:tint="@color/color_primary"

                        android:padding="18dp"

                        />

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:text="@string/create_geo_fence"
                        android:fontFamily="@font/nunito_semibold"
                        android:textSize="@dimen/_16ssp"
                        android:textColor="@color/black"

                        android:layout_marginVertical="17dp"

                        android:layout_toStartOf="@id/btn_7"

                        android:maxLines="1"
                        android:ellipsize="end"

                        />

                    <ImageView
                        android:id="@+id/btn_7"
                        android:layout_width="@dimen/_25sdp"
                        android:layout_height="@dimen/_25sdp"

                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"

                        android:src="@drawable/ic_next"
                        app:tint="#043E61" />

                </RelativeLayout>

            </LinearLayout>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/skip_to_dash"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginVertical="20dp"
                android:text="@string/skip_to_dashboard"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textAllCaps="false"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@color/white_bg"
                android:paddingVertical="15dp"
                app:backgroundTint="@color/color_primary"
                app:cornerRadius="15dp"

                android:drawableEnd="@drawable/ic_forward_error"
                android:drawablePadding="15dp"
                />

        </LinearLayout>

    </ScrollView>

</LinearLayout>